{% extends "frontBase.html.twig" %}

{% block title %}Devenir un fournisseur - Inscription{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg9.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Demande d'affiliation</h1>
            <p class="lead">A company turning ideas into beautiful things.</p>
        </div>
    </div>

    <div class="wrapper white-wrapper">
        <div class="container inner">
            <h2 class="title-color color-gray text-center">App Features</h2>
            <h3 class="display-3 mb-4 text-center">Snowlake makes your spending stress-free<br class="d-none d-lg-block"> for you to have the perfect control.</h3>
            {% if form.vars.submitted == true %}
                <div class="alert alert-success">
                    <h4 class="alert-heading">Demande Reçue !</h4>
                    <p>
                        Votre demande a été reçue, merci ! Nous vous contacterons dans les plus brefs délais.
                    </p>
                </div>
                <div class="space120"></div>
            {% else %}
                {{ form_start(form) }}
                <div class="form-group">
                    {{ form_label(form.full_name, 'Nom complet*') }}
                    {{ form_widget(form.full_name, {attr: {class: 'form-control'}}) }}
                    {{ form_errors(form.full_name) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.company_name, 'Raison sociale*') }}
                    {{ form_widget(form.company_name, {attr: {class: 'form-control'}}) }}
                    {{ form_errors(form.company_name) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.phone, 'Téléphone*') }}
                    {{ form_widget(form.phone, {attr: {class: 'form-control'}}) }}
                    {{ form_errors(form.phone) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.email, 'E-mail*') }}
                    {{ form_widget(form.email, {attr: {class: 'form-control'}}) }}
                    {{ form_errors(form.email) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.referred_by, 'Parrainé par') }}
                    {{ form_widget(form.referred_by, {attr: {class: 'form-control'}}) }}
                    {{ form_errors(form.referred_by) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.heard_of, 'Comment avez-vous entendu parlé de Sprindt ?') }}
                    {{ form_widget(form.heard_of, {attr: {class: 'form-control'}}) }}
                    {{ form_errors(form.heard_of) }}
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-purple">Envoyer la demande</button>
                </div>
                {{ form_end((form)) }}
            {% endif %}
        </div>
    </div>


{% endblock %}